import request from '@/utils/request'

// 押金管理列表
export function getDepositManageList(params) {
  return request({
    url: '/deposit-manage/list',
    method: 'get',
    params
  })
}
// 同步工程机系统审核资料日期
export function getDepositManageDate() {
  return request({
    url: '/deposit-manage/sync-accept-date',
    method: 'get'
  })
}
// 押金管理详情
export function getDepositManageDetail(params) {
  return request({
    url: '/deposit-manage/detail',
    method: 'get',
    params
  })
}
// 编辑退押
export function editManageExamine(data) {
  return request({
    url: '/deposit-manage/edit',
    method: 'post',
    data
  })
}

// 审批退押
export function getDepositManageExamine(data) {
  return request({
    url: '/deposit-manage/examine',
    method: 'post',
    data
  })
}
// 编辑退押
export function getDepositManageEdit(data) {
  return request({
    url: '/deposit-manage/edit',
    method: 'post',
    data
  })
}
// 押金管理导出
export function getDepositManagExport(params) {
  return request({
    url: '/deposit-manage/export',
    method: 'get',
    params
  })
}
// 下载押金管理附件
export function getDepositManageDownZip(params) {
  return request({
    url: '/deposit-manage/downZip',
    method: 'get',
    params
  })
}
// 直接下载文件
export function getCommonFileGetStream(params) {
  return request({
    url: '/common/file/getStream',
    method: 'get',
    params
  })
}

// 批量审核家用
export function examineData(params) {
  return request({
    url: '/deposit-manage/bach-condition-examine-home',
    method: 'post',
    params
  })
}

// 批量审核家用
export function secondRefund(params) {
  return request({
    url: '/deposit-manage/second-refund',
    method: 'post',
    data: params
  })
}

// 工程订单列表统计
export function getDepositCountList(params) {
  return request({
    url: '/deposit-manage/count-list',
    method: 'get',
    params
  })
}

// 补充资料
export function addAmendData(params) {
  return request({
    url: '/deposit-manage/amend-data',
    method: 'post',
    data: params
  })
}

// 复核资料
export function reviewData(params) {
  return request({
    url: '/deposit-manage/review-data',
    method: 'post',
    data: params
  })
}
